package com.eco.plugin.xxx.bjgjdata.db.bean;

import com.fr.stable.db.entity.BaseEntity;
import com.fr.stable.db.entity.TableAssociation;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

import java.util.Date;

/**
 * @author xxx
 * @version 10.0
 * Created by xxx on 2021-07-29
 **/
@Entity
@Table(name = "plugin_xxx_entity_ry")
@TableAssociation(associated = true)
public class DBEntity extends BaseEntity {

    //人员编号
    @Column(name = "rybh",length=100)
    private String rybh = null;

    //人员名称
    @Column(name = "rymc",length=100)
    private String rymc = null;

    //物理卡号
    @Column(name = "wlkh")
    private String wlkh = null;

    //分公司名称
    @Column(name = "fgsmc",length=100)
    private String fgsmc = null;

    //机构名称
    @Column(name = "jgmc",length=100)
    private String jgmc = null;

    //机构名称
    @Column(name = "jgid",length=100)
    private String jgid = null;

    //机构名称
    @Column(name = "wbgsid",length=100)
    private String wbgsid = null;

    //外部公司名称
    @Column(name = "wbgsmc",length=100)
    private String wbgsmc = null;

    //外部机构名称
    @Column(name = "wbryid",length=100)
    private String WBRYID = null;

    //创建时间
    @Column(name = "createtime")
    private Date createtime = null;

    //修改时间
    @Column(name = "updatetime")
    private Date updatetime = null;

    /**
     * 类型 1内部人员 2.外部人员
     *
     */
    @Column(name = "type",length = 2)
    private String type = null;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getWBRYID() {
        return WBRYID;
    }

    public void setWBRYID(String WBRYID) {
        this.WBRYID = WBRYID;
    }

    public String getWbgsid() {
        return wbgsid;
    }

    public void setWbgsid(String wbgsid) {
        this.wbgsid = wbgsid;
    }

    public String getWbgsmc() {
        return wbgsmc;
    }

    public void setWbgsmc(String wbgsmc) {
        this.wbgsmc = wbgsmc;
    }

    public String getJgid() {
        return jgid;
    }

    public void setJgid(String jgid) {
        this.jgid = jgid;
    }

    public String getRybh() {
        return rybh;
    }

    public void setRybh(String rybh) {
        this.rybh = rybh;
    }

    public String getRymc() {
        return rymc;
    }

    public void setRymc(String rymc) {
        this.rymc = rymc;
    }

    public String getWlkh() {
        return wlkh;
    }

    public void setWlkh(String wlkh) {
        this.wlkh = wlkh;
    }

    public String getFgsmc() {
        return fgsmc;
    }

    public void setFgsmc(String fgsmc) {
        this.fgsmc = fgsmc;
    }

    public String getJgmc() {
        return jgmc;
    }

    public void setJgmc(String jgmc) {
        this.jgmc = jgmc;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}
