package com.eco.plugin.xxx.bjgjdata.db.bean;

import com.fr.stable.db.entity.BaseEntity;
import com.fr.stable.db.entity.TableAssociation;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

import java.util.Date;

@Entity
@Table(name = "plugin_xxx_entity_jg")
@TableAssociation(associated = true)
public class OrgEntity extends BaseEntity {

    @Column(name = "jgid",length = 100)
    private String jgid = null;

    @Column(name = "jgbm",length = 100)
    private String jgbm = null;

    @Column(name = "jgmc",length = 100)
    private String jgmc = null;

    @Column(name = "zgjgid",length = 100)
    private String zgjgid = null;

    @Column(name = "px",length = 25)
    private String px = null;

    @Column(name = "jgzt",length = 25)
    private String jgzt = null;

    /**
     * 上机机构树
     */
    @Column(name = "sjjgs",length = 1000)
    private String sjjgs = null;
    /**
     * 类型 1内部机构 2.外部机构
     *
     */
    @Column(name = "type",length = 2)
    private String type = null;

    //创建时间
    @Column(name = "createtime")
    private Date createtime = null;

    //修改时间
    @Column(name = "updatetime")
    private Date updatetime = null;

    public String getSjjgs() {
        return sjjgs;
    }

    public void setSjjgs(String sjjgs) {
        this.sjjgs = sjjgs;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getJgid() {
        return jgid;
    }

    public void setJgid(String jgid) {
        this.jgid = jgid;
    }

    public String getJgbm() {
        return jgbm;
    }

    public void setJgbm(String jgbm) {
        this.jgbm = jgbm;
    }

    public String getJgmc() {
        return jgmc;
    }

    public void setJgmc(String jgmc) {
        this.jgmc = jgmc;
    }

    public String getZgjgid() {
        return zgjgid;
    }

    public void setZgjgid(String zgjgid) {
        this.zgjgid = zgjgid;
    }

    public String getPx() {
        return px;
    }

    public void setPx(String px) {
        this.px = px;
    }

    public String getJgzt() {
        return jgzt;
    }

    public void setJgzt(String jgzt) {
        this.jgzt = jgzt;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}
